<template>
  <div class="rui-tag">
    <span class="rui-tag__segment -flex--none"><rui-icon :name="`crop-rotation-${group}`" /></span>
    <span class="rui-tag__segment">{{ $t(`activerecord.attributes.resource/crop_rotation_group.${group}`) }}</span>
    <template v-if="percentage && percentage !== 100">
      <span class="rui-tag__segment">{{ percentage }}%</span>
    </template>
  </div>
</template>

<script>
import RuiIcon from '@experiments-labs/rise_ui/src/components/Icon/Icon.vue'

/**
 * Displays a crop rotation group
 *
 * @preset default { "props": { "group": "manure" } }
 */
export default {
  name: 'GpaCropRotationGroupTag',
  components: { RuiIcon },
  props: {
    /**
     * Crop rotation group to display
     *
     * @values leaf, legume, manure, root
     */
    group: { required: true, type: String },
    /** Optional number representing a percentage of presence */
    percentage: { required: false, type: Number, default: null },
  },
}
</script>
